package com.gic.store.dao.mapper;

import com.gic.store.entity.TabClerkPosition;
import com.github.pagehelper.Page;

public interface TabClerkPositionMapper {
    /**
     * 根据主键删除
     *
     * @param clerkPositionId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer clerkPositionId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabClerkPosition record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabClerkPosition record);

    /**
     * 根据主键查询
     *
     * @param clerkPositionId 主键
     * @return 实体对象
     */
    TabClerkPosition selectByPrimaryKey(Integer clerkPositionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabClerkPosition record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabClerkPosition record);

    TabClerkPosition getSelective(TabClerkPosition tabClerkPosition);

    Page<TabClerkPosition> listClerkPosition(String search);
}